<?php if (!empty($data ['students'])):?>


      <table class="wp-list-table widefat fixed tags ulp-admin-tables striped ">


        <thead  class="thead-inverse">


          <tr>


            <th class="manage-column" style="width:30%;"><?php _e('Student', 'ulp');?></th>


            <th class="manage-column" style="width:20%;"><?php _e('Enroll Time', 'ulp');?></th>


            <th class="manage-column" style="width:45%;"><?php _e('Progress', 'ulp');?></th>


            <th class="manage-column" style="width:5%; text-align: center;"><?php _e('Remove', 'ulp');?></th>


          </tr>


        </thead>


        <tbody>


        <?php foreach ($data ['students'] as $student_object):?>


          <?php $progress = $data['users_course_object']->getProgress($student_object->user_id, $data['post_id']);?>


             <tr>


              <td class="ulp-strong"><?php echo $student_object->full_name;?> (<?php echo $student_object->user_email;?>)</td>


                <td><?php if ( isset( $student_object->enroll_time ) ) echo $student_object->enroll_time;?></td>


                <td><div class="ulp-progress-line"><div class="ulp-total-progress" style="width: <?php echo $progress;?>%"></div></div></td>


                <td style="text-align: center;">


                  <i class="fa-ulp fa-remove-ulp" onClick="ulp_remove_course_reload_table(<?php echo $student_object->user_id;?>, <?php echo $data ['post_id'];?>, '<?php echo $data ['post_title'];?>');" style="cursor: pointer;"></i></td>


             </tr>


        <?php endforeach;?>


        </tbody>


     </table>


<?php endif;?>


