
<div class="ulp-wrapper">
		<div class="ulp-page-title">Ultimate Learning Pro - <span class="second-text"><?php _e('Notifications', 'ulp');?></span></div>
		<a href="<?php echo $data['url-add_edit'];?>" class="ulp-add-new-like-wp"><i class="fa-ulp fa-add-ulp"></i><?php _e('Activate New Notification', 'ulp');?></a>
		<span class="ulp-top-message"><?php _e('...create your notification Templates!', 'ulp');?></span>
		<a href="javascript:void(0)" class="button button-primary button-large" style="display:inline-block; float:right;" onClick="ulpCheckEmailServer();"><?php _e('Check Mail Server', 'ulp');?></a>
		<div class="ulp-clear"></div>
		<?php if (isset($data['success']) && $data['success']==FALSE):?>
			<div class=""><?php _e('Something is not working properly. Please try again.', 'ulp');?></div>
		<?php endif;?>
	<div style="margin-top: 20px;">
		<?php if (!empty($data['items'])) : ?>
		<form action="" method="post" id="form_notification">
			<table class="wp-list-table widefat fixed tags ulp-admin-tables">
				<thead>
					<tr>
						    <th><?php _e('Subject', 'ulp');?></th>
							<th><?php _e('Action', 'ulp');?></th>
							<th><?php _e('Goes to', 'ulp');?></th>
                            <th><?php _e('Course', 'ulp');?></th>
                            <?php if ($data['pushover']):?>
									<th><?php _e('Mobile Notification', 'ulp');?></th>
							<?php endif;?>
					</tr>
				</thead>
				<tfoot>
						<tr>
                        <th><?php _e('Subject', 'ulp');?></th>
                        <th><?php _e('Action', 'ulp');?></th>
                        <th><?php _e('Goes to', 'ulp');?></th>
                        <th><?php _e('Course', 'ulp');?></th>
                        <?php if ($data['pushover']):?>
                        <th><?php _e('Mobile Notification', 'ulp');?></th>
						<?php endif;?>
                        </tr>
                 </tfoot>
                        <tbody class="ui-sortable ulp-alternate">
						<?php $admin_notifications = array();?>
							<?php foreach ($data['items'] as $array) : ?>
                            <tr onmouseover="ulpDhSelector('#notification_<?php echo $array['id'];?>', 1);" onmouseout="ulpDhSelector('#notification_<?php echo $array['id'];?>', 0);">
                            <td><?php echo $array['subject'];?>
                            <div id="notification_<?php echo $array['id'];?>" style="visibility: hidden;">
                            <a href="<?php echo $data['url-add_edit'] . '&id=' . $array['id'];?>"><?php _e('Edit', 'ulp');?></a>
                            |
                            <a onclick="ulpDeleteFromTable(<?php echo $array['id'];?>, 'Notification', '#delete_notification_id', '#form_notification');" href="javascript:return false;" style="color: red;"><?php _e('Delete', 'ulp');?></a>
                            </div>
                            </td>
                            <td style="color: #21759b; font-size: 14px;">
                            <div class="ulp-list-affiliates-name-label" style="width:auto;">
							<?php
							if (!empty($data['action_types']['admin'][$array['type']])) echo $data['action_types']['admin'][$array['type']];
							else if (!empty($data['action_types']['student'][$array['type']])) echo $data['action_types']['student'][$array['type']];
							else if (!empty($data['action_types']['announcements'][$array['type']])) echo $data['action_types']['announcements'][$array['type']];
							else if (!empty($data['action_types']['qanda'][$array['type']])) echo $data['action_types']['qanda'][$array['type']];
									?>
                            </div>
                            </td>
								<td>
								<?php if (!empty($data['action_types']['admin'][$array['type']])):?>
								<?php _e('Administrator', 'ulp');?>
								<?php elseif (!empty($data['action_types']['student'][$array['type']])):?>
								<?php _e('Student', 'ulp');?>
								<?php endif;?>
                                </td>
                                <td>
								<?php if ($array['course_id']>-1):?>
                                <div class="ulp-property">
                                <a href="<?php echo admin_url('post.php?post=' . $array['course_id'] . '&action=edit');?>" target="_blank"><?php echo $array['course_label'];?></a>
                                </div>
								<?php else:?>
								<?php echo $array['course_label'];?>
								<?php endif;?>
                                </td>
								<?php if ($data['pushover']):?>
                                <td>
								<?php if ($array['pushover_status']):?>
                                <i class="fa-ulp fa-pushover-on-ulp"></i>
								<?php endif;?>
                                </td>
								<?php endif;?>
                                </tr>
								<?php endforeach;?>
                                </tbody>
                                </table>
                                <input type="hidden" name="delete_notification" value="" id="delete_notification_id" />
                     </form>
					 <?php else :?>
              <h5><?php _e('No Notification Available!', 'ulp');?></h5>
			  <?php endif;?>
              </div>
  
    </div><!-- end of ulp-dashboard-wrap -->
<div class="ulp-clear"></div>
<?php


