<form action="" method="post">

	<div class="ulp-stuffbox">

		<h3 class="ulp-h3"><?php _e('Stripe Payment Integration', 'ulp');?></h3>

		<div class="inside">



			<div class="ulp-inside-item">

          <div class="row">

              <div class="col-xs-6">

    				      <h2><?php _e('Main Stripe settings', 'ulp');?></h2>


                  <div class="input-group" style="margin-top:20px;;">

                			<span class="input-group-addon" id="basic-addon1"><?php _e('Publishable Key:', 'ulp');?></span>

                			<input type="text" class="form-control" name="ulp_stripe_publishable_key" value="<?php echo $data ['metas']['ulp_stripe_publishable_key'];?>" id="ulp_stripe_publishable_key">

                	</div>

                  <div class="input-group" style="margin-top:20px;">

                			<span class="input-group-addon" id="basic-addon1"><?php _e('Secret Key:', 'ulp');?></span>

                			<input type="text" class="form-control" name="ulp_stripe_secret_key" value="<?php echo $data ['metas']['ulp_stripe_secret_key'];?>" id="ulp_stripe_secret_key">

                	</div>
									<div>

										<div class="ulp-form-line"><strong><?php echo __("Important: set your 'Webhook' to: ", 'ulp') . $data ['webhook'];?></strong></div>



                                      <div style="font-size: 11px; color: #333; padding-left: 10px; padding-left: 15px; margin-left: 10px;border-left: 2px solid #C56767;">

                                        <div><?php echo __('1. Go to ', 'ulp') . '<a href="http://stripe.com" target="_blank">http://stripe.com</a>'  . __(' and login with username and password.', 'ulp');?></div>

										<div><?php _e('2. After that click on "Dashboard", and then select "Your account" - "Account settings".', 'ulp');?></div>

										<div><?php _e('3. A popup will appear and you must go to API Keys, here you will find the "Secret Key" and	"Publishable Key".', 'ulp');?></div>

										<div><?php _e("4. Set your Web Hook URL to: <a href='" . $data ['webhook'] . "' target='_blank'>" . $data ['webhook'] . "</a> and choose receive all events", "ulp");?></div>

                                       </div>

									</div>

              </div>

          </div>

      </div>



      <div class="ulp-line-break"></div>



      <div class="ulp-inside-item" style="margin-top:10px;">

          <div class="row">

            <div class="col-xs-6">

                  <h2><?php _e('Display options', 'ulp');?></h2>

            			<div class="input-group" style="  max-width: 400px;">

            					<span class="input-group-addon" id="basic-addon1"><?php _e('Label', 'ulp');?></span>

            					<input type="text" class="form-control" name="ulp_stripe_label" value="<?php echo stripslashes($data['metas']['ulp_stripe_label']);?>" id="ulp_stripe_label" />

            			</div>

						<div class="input-group" style="margin-top:40px;  max-width: 400px;">

            					<span class="input-group-addon" id="basic-addon1"><?php _e('Description', 'ulp');?></span>

            					<input type="text" class="form-control" name="ulp_stripe_description" value="<?php echo stripslashes($data['metas']['ulp_stripe_description']);?>" id="ulp_stripe_description" />

            			</div>

            			<div class="input-group" style="margin-top:20px; max-width: 400px;">

            					<span class="input-group-addon" id="basic-addon1"><?php _e('Multi-Payment order', 'ulp');?></span>

            					<input type="number" min="1" class="form-control" name="ulp_stripe_multipayment_order" value="<?php echo $data['metas']['ulp_stripe_multipayment_order'];?>" id="ulp_stripe_multipayment_order" />

            			</div>


								<div class="ulp-form-line">
									<h2><?php _e('Test Credentials', 'ulp');?></h2>
									<div><?php _e('For Test/Sandbox mode use the next credentials available:', 'ulp'); ?></div>
									<div><?php _e('<a href="https://stripe.com/docs/testing" target="_blank">https://stripe.com/docs/testing</a>'); ?></div>
									<div><?php _e('Example:', 'ulp'); ?></div>
									<div><?php _e('Credit Card: 4242424242424242', 'ulp'); ?></div>
									<div><?php _e('Expire Time: 1222', 'ulp'); ?></div>

								</div>
            </div>


          </div>

      </div>

			<div class="ulp-submit-form" style="margin-top: 20px;">

				<input type="submit" value="<?php _e('Save Changes', 'ulp');?>" name="submit" class="btn btn-primary pointer" />

			</div>



		</div>

	</div>





</form>

