<form action="<?php echo $data['form_submit_url'];?>" method="post">

	<div class="ulp-stuffbox">



		<h3 class="ulp-h3"><?php echo $data['post_title'] . __('- Special Settings', 'ulp');?></h3>



		<div class="inside">



			<?php do_action('ulp_admin_before_question_special_settings');?>

            <div class="ulp-inside-item">

                	<div class="row">

                    	<div class="col-xs-6">

                        <h2><?php _e('Quiz Points', 'ulp')?></h2>

                        <p><?php _e('Set how many points to complete the Quiz a user receives for answering this question.', 'ulp');?></p>

                        <div class="input-group">

                        	<span class="input-group-addon" id="basic-addon1"><?php _e('Points', 'ulp');?></span>

                        	<input type="number" min="0" class="form-control" name="ulp_question_points" value="<?php echo $data['ulp_question_points'];?>" />

                        </div>

                        </div>

                    </div>

            </div>

            <div class="ulp-line-break"></div>

            <div class="ulp-inside-item">

                	<div class="row">

                    	<div class="col-xs-6">

                        <h2><?php _e('Hint Message', 'ulp')?></h2>

                        <p><?php _e('Write a message to help your users answer this question.', 'ulp');?></p>

                        <div class="form-group">

                        	<textarea name="ulp_question_hint" class="form-control text-area" style="width: 40%; height: 100px;"><?php echo stripslashes($data['ulp_question_hint']);?></textarea>

                        </div>

                        </div>

                    </div>

            </div>

            <div class="ulp-line-break"></div>

            <div class="ulp-inside-item">

                	<div class="row">

                    	<div class="col-xs-6">

                        <h2><?php _e('Question Explanation', 'ulp')?></h2>

                        <p><?php _e('Add a text which better explains the question.', 'ulp');?></p>

                        <div class="form-group">

                        	<textarea name="ulp_question_explanation" class="form-control text-area" style="width: 40%; height: 100px;"><?php echo stripslashes($data['ulp_question_explanation']);?></textarea>

                        </div>

                        </div>

                    </div>

            </div>

            <div class="ulp-line-break"></div>



			<?php do_action('ulp_admin_after_question_special_settings');?>



			<div class="ulp-inside-item" style="margin-top:40px;">

                        <div class="row">

                            <div class="col-xs-6">

							<input type="submit" name="submit" value="<?php _e('Save Changes', 'ulp');?>"  class="btn btn-primary pointer" />

							</div>

						</div>

             </div>



		</div>



	</div>



	<input type="hidden" name="post_id" value="<?php echo esc_sql($_GET ['id']);?>" />



</form>

