<?php if (!empty($data['error'])):?>
		<div class="ulp-error-global-dashboard-message"><?php echo $data['error'];?></div>
<?php endif;?>
<form action="" method="post" role = "form">

	<div class="ulp-stuffbox">



		<h3 class="ulp-h3"><?php _e('Public Workflow', 'ulp');?></h3>



		<div class="inside">

		<div class="ulp-inside-item">

            <div class="row">

                <div class="col-xs-8">

                 <h2><?php _e('Images Size', 'ulp');?></h2>

                 <p><?php _e('Manage how Images on frontend will be displayed.', 'ulp');?></p>

                 <h4 style="margin-top:25px;"><?php _e('Single Course Thumbnail', 'ulp');?></h4>

                 	<div class="input-group" style="  max-width: 190px; float:left;">

							<span class="input-group-addon" id="basic-addon1"><?php _e('Width', 'ulp');?></span>

							<input type="number" class="form-control" name="ulp_singlecourse_imagesize_width" value="<?php echo $data['metas']['ulp_singlecourse_imagesize_width']; ?>" min="1" />

                            <div class="input-group-addon">px</div>

                    </div>

                    <div class="input-group" style="  max-width: 190px; float:left; margin-left:30px;">

							<span class="input-group-addon" id="basic-addon1"><?php _e('Height', 'ulp');?></span>

							<input type="number" class="form-control" name="ulp_singlecourse_imagesize_height" value="<?php echo $data['metas']['ulp_singlecourse_imagesize_height'];?>" min="1" />

                            <div class="input-group-addon">px</div>

                    </div>

                    <div class="ulp-clear"></div>

                    <h4 style="margin-top:30px;"><?php _e('Courses List Thumbnail', 'ulp');?></h4>

                 	<div class="input-group" style="  max-width: 190px; float:left;">

							<span class="input-group-addon" id="basic-addon1"><?php _e('Width', 'ulp');?></span>

							<input type="number" class="form-control" name="ulp_multiplecourses_imagesize_width" value="<?php echo $data['metas']['ulp_multiplecourses_imagesize_width'];?>" min="1" />

                            <div class="input-group-addon">px</div>

                    </div>

                    <div class="input-group" style="  max-width: 190px; float:left; margin-left:30px;">

							<span class="input-group-addon" id="basic-addon1"><?php _e('Height', 'ulp');?></span>

							<input type="number" class="form-control" name="ulp_multiplecourses_imagesize_height" value="<?php echo $data['metas']['ulp_multiplecourses_imagesize_height'];?>" min="1" />

                            <div class="input-group-addon">px</div>

                    </div>

                    <div class="ulp-clear"></div>

                </div>

            </div>

        </div>

		<div class="ulp-line-break"></div>


				<div class="ulp-inside-item">
						<h3><?php _e('Query variables', 'ulp');?></h3>
						<p><?php _e("Change this values only if you know what you're doing. Do not use custom post type slugs!", 'ulp');?>
 (ulp_course, ulp_quiz, ulp_question, ulp_lesson, etc)
						</p>
						<div class="input-group" style="  max-width: 400px; margin-top:25px;">
								<span class="input-group-addon" id="basic-addon1"><?php _e('Courses', 'ulp');?></span>
								<input type="text" name="ulp_course_custom_query_var" value="<?php echo $data['metas']['ulp_course_custom_query_var'];?>" />
						</div>
						<div class="input-group" style="  max-width: 400px; margin-top:25px;">
								<span class="input-group-addon" id="basic-addon1"><?php _e('Quizes', 'ulp');?></span>
								<input type="text" name="ulp_quiz_custom_query_var" value="<?php echo $data['metas']['ulp_quiz_custom_query_var'];?>" />
						</div>
						<div class="input-group" style="  max-width: 400px; margin-top:25px;">
								<span class="input-group-addon" id="basic-addon1"><?php _e('Lessons', 'ulp');?></span>
								<input type="text" name="ulp_lesson_custom_query_var" value="<?php echo $data['metas']['ulp_lesson_custom_query_var'];?>" />
						</div>
						<div class="input-group" style="  max-width: 400px; margin-top:25px;">
								<span class="input-group-addon" id="basic-addon1"><?php _e('Questions', 'ulp');?></span>
								<input type="text" name="ulp_question_custom_query_var" value="<?php echo $data['metas']['ulp_question_custom_query_var'];?>" />
						</div>
						<div class="input-group" style="  max-width: 400px; margin-top:25px;">
								<span class="input-group-addon" id="basic-addon1"><?php _e('Announcement', 'ulp');?></span>
								<input type="text" name="ulp_announcement_custom_query_var" value="<?php echo $data['metas']['ulp_announcement_custom_query_var'];?>" />
						</div>
						<div class="input-group" style="  max-width: 400px; margin-top:25px;">
								<span class="input-group-addon" id="basic-addon1"><?php _e('Q&A', 'ulp');?></span>
								<input type="text" name="ulp_qanda_custom_query_var" value="<?php echo $data['metas']['ulp_qanda_custom_query_var'];?>" />
						</div>
				</div>

				<div class="col-xs-12">
						<h2><?php _e('Show course curriculum as tab', 'ulp');?></h2>
						<div class="form-group row">
								<label class="ulp_label_shiwtch" style="margin:10px 0 10px -10px;">
										<?php $checked = ($data['metas']['ulp_show_curriculum_as_tab']) ? 'checked' : '';?>
										<input type="checkbox" class="ulp-switch" onClick="UltimateLearningPro.checkAndH(this, '#ulp_show_curriculum_as_tab');" <?php echo $checked;?> />
										<div class="switch" style="display:inline-block;"></div>
								</label>
								<input type="hidden" name="ulp_show_curriculum_as_tab" value="<?php echo $data['metas']['ulp_show_curriculum_as_tab'];?>" id="ulp_show_curriculum_as_tab" />
						</div>
				</div>

			<div class="ulp-inside-item" style="margin-top:40px;">

              <div class="row">

                  <div class="col-xs-6">

    						<input type="submit" name="submit" value="<?php _e('Save Changes', 'ulp');?>"  class="btn btn-primary pointer" />

              	  </div>

              </div>

        </div>



	</div>

  </div>



</form>

