



<div class="ulp-wrapper">

  <div class="ulp-page-title"><?php echo $data['username'] .' - <span>'. __(' Activity', 'ulp').'</span>';?></div>

  <div class="inside">

    <?php if (count($data['userdata'])==0):?>

      <?php _e('No Activity yet!', 'ulp');?>

    <?php else:?>

    <table class="ulp-admin-tables ">

      <thead class="thead-inverse">

        <tr>

          <th><?php _e('Entity', 'ulp');?></th>

          <th><?php _e('Action', 'ulp');?></th>

          <th><?php _e('Description', 'ulp');?></th>

          <th><?php _e('Date', 'ulp');?></th>

        </tr>

      </thead>

      <tfoot class="thead-inverse">

        <tr>

          <th><?php _e('Entity', 'ulp');?></th>

          <th><?php _e('Action', 'ulp');?></th>

          <th><?php _e('Description', 'ulp');?></th>

          <th><?php _e('Date', 'ulp');?></th>

        </tr>

      </tfoot>

      <tbody>

        <?php foreach ($data['userdata'] as $database_entry):?>

          <tr>

              <td><?php echo DbUlp::getPostTitleByPostId($database_entry->entity_id);?></td>

              <td><?php

                  if (isset($data['possible_actions'][$database_entry->action])) echo $data['possible_actions'][$database_entry->action];

                  else echo $database_entry->action;?>

              </td>

              <td><?php echo $database_entry->description;?></td>

              <td><?php echo ulp_print_date_like_wp($database_entry->event_time);?></td>

          </tr>

        <?php endforeach;?>

      </tbody>

    </table>



    <div class="ulp-clear"></div>

    <?php if (!empty($data['pagination'])):?>

        <?php echo $data['pagination'];?>

    <?php endif;?>



    <?php endif;?>

  </div>

</div>

