<?php wp_enqueue_script( 'ulp_public_instructor_actions', ULP_URL . 'assets/js/instructor_actions.js', [], false, false );?>
<h3><?php _e('Announcements', 'ulp');?></h3>

<div class="ulp-instructor-dashboard-bttn">
    <a href="<?php echo $addNewLink;?>" class="btn btn-primary pointer"><?php _e('Add New', 'ulp');?></a>
</div>

<?php if ($items):?>
    <div class="ulp-instructor-dashboard-announcement-list ulp-instructor-dashboard-list">
    <div class="ulp-instructor-item-list-head">
     <div class="ulp-instructor-item-list-row">
        <div class="ulp-instructor-item-list-col ulp-instructor-item-list-title"><?php _e('Announcement Title', 'ulp');?></div>
        <div class="ulp-instructor-item-list-col ulp-instructor-item-list-course"><?php _e('Target Course', 'ulp');?></div>
        <div class="ulp-instructor-item-list-col ulp-instructor-item-list-comment"><?php _e('Comments', 'ulp');?></div>
        <div class="ulp-instructor-item-list-col ulp-instructor-item-list-status"><?php _e('Status', 'ulp');?></div>
        <div class="ulp-instructor-item-list-col ulp-instructor-item-list-date"><?php _e('Date', 'ulp');?></div>
     </div>
    </div>
     <div class="ulp-instructor-item-list-content">
        <?php foreach ($items as $key=>$post):?>
            <?php $object = [];?>
            <?php
				$row_class ='';
				if($key%2 == 0) $row_class = 'even';
				else   $row_class = 'odd';
			?>
         	<div class="ulp-instructor-item-list-row <?php echo $row_class;?>">
             <div class="ulp-instructor-item-list-col ulp-instructor-item-list-title">
                    <?php echo $post->post_title;?>
                    <div  class="ulp-instructor-item-list-options">
                        <span><a href="<?php echo add_query_arg(['tab' => 'add-edit', 'type' => 'ulp_announcement', 'postId' => $post->ID], $baseUri);?>"><?php _e('Edit', 'ulp');?></a></span> |
                        <span class="js-ulp-do-delete-post ulp-delete-link" data-post="<?php echo $post->ID;?>"><?php _e('Delete', 'ulp');?></span>
                    </div>
              </div>
                <div class="ulp-instructor-item-list-col ulp-instructor-item-list-course">
                    <?php if ($courseId):?>
                        <?php echo '<div class="ulp-instructor-item-list-course-name">' . \DbUlp::getPostTitleByPostId($courseId) . '</div>';?>
                    <?php else:?>
                        <?php $temporaryCourseId = $announcementObject->getCourseIdByAnnouncement($post->ID);?>
                        <?php echo '<div class="ulp-instructor-item-list-course-name">' . \DbUlp::getPostTitleByPostId($temporaryCourseId) . '</div>';?>
                    <?php endif;?>
             </div>
                <div class="ulp-instructor-item-list-col ulp-instructor-item-list-comment">
                    <?php
                        echo '<div class="ulp-post-no-comments" >' . \DbUlp::countPostComments($post->ID, false) .' '. __('comments', 'ulp'). '</div>';
              					echo '<div class="ulp-post-no-comments-pending" > (' . \DbUlp::countPostComments($post->ID, 0) .' '. __('pending', 'ulp'). ')</div>';
                    ?>
             </div>
                <div class="ulp-instructor-item-list-col ulp-instructor-item-list-status">
                    <div  class="ulp-instructor-item-list-status-text  ulp-<?php echo $post->post_status;?>"><?php echo ucfirst($post->post_status);?></div>
             </div>
                <div class="ulp-instructor-item-list-col ulp-instructor-item-list-date">
                    <?php echo ulp_print_date_like_wp($post->post_date, false);?>
             </div>
		 </div>
        <?php endforeach;?>
     </div>
 </div>
<?php endif;?>

<?php if ($pagination):?>
    <?php echo $pagination;?>
<?php endif;?>
