<?php wp_enqueue_script('ulp_main_easytimer');?>
<script>

jQuery(document).ready(function(){

	var timer = new Timer();

	timer.start({countdown: true, startValues: {seconds: <?php echo $data['seconds_remain'];?>}});

	timer.addEventListener('secondsUpdated', function (e) {
		units = ['minutes', 'seconds'];
		var seconds_remains = <?php echo $data['seconds_remain'];?>;
		
		if( seconds_remains > 3600){
				units = ['hours', 'minutes', 'seconds'];
		}
		if( seconds_remains > 86400){
				units = ['days','hours', 'minutes', 'seconds'];
		}
		
	    jQuery('#ulp_quiz_countdown').html(timer.getTimeValues().toString(units));

	});

	timer.addEventListener('targetAchieved', function (e) {

		IndeedQuiz.saveAnswer(true);

	});

});

</script>

<div class="ulp-quiz-countdown-wrapper"><span class="ulp-quiz-countdown"><span id="ulp_quiz_countdown">
<?php
			$start_time = '00:00';
			if( $data['seconds_remain']> 3600){
				$start_time = '00:00:00';
			}
			if( $data['seconds_remain']> 86400){
				$start_time = '00:00:00:00';
			}
			echo $start_time;
			?></span></span></div>

