<?php

/**

 * Template Questions

 */

?>



<div class="ulp-question-wrapp">



	<?php if ($data['legend']):?>

			<div class="ulp-question-legend"><?php echo $data['legend'];?></div>

	<?php endif;?>



	<div class="ulp-question-input">

		<div class="ulp-question-content"><?php echo do_shortcode(@$data['question_content']);?>

		  <?php if (!empty($data['points']) && $data['points'] > 0):?>

          <div class="ulp-question-points"><?php echo '('.$data['points'].__(' points', 'ulp').')';?></div>

          <?php endif;?>

        </div>

        <div class="ulp-question-options"><?php echo @$data['question'];?></div>

		<?php if (!empty($data['explanation'])):?>

			<div class="ulp-question-explanation" id="ulp_question_explanation"><?php echo '<strong style="font-style:normal">'.__('Explanation: ', 'ulp').'</strong>' .
			do_shortcode($data['explanation']);?></div>

		<?php endif;?>

        <?php if (!empty($data['hint'])):?>

			<div class="ulp-hint-hide" id="ulp_the_hint"><?php echo '<strong style="font-style:normal">'. __('Hint: ', 'ulp').'</strong>' .
			do_shortcode($data['hint']);?></div>

		<?php endif;?>

	</div>

    <div class="ulp-question-responses">

    </div>

    <div class="ulp-question-buttons-wrapper">

	<?php if (!empty($data['print_prev'])):?>

	<?php echo ulp_quiz_prev_bttn();?>

	<?php endif;?>

    <?php if (!empty($data['hint'])):?>

    <span class="ulp-hint-button" id="ulp_hint_link"><?php _e('Hint', 'ulp');?></span>

    <?php endif;?>

	<?php if (!empty($data['print_next'])):?>

		<?php echo ulp_quiz_next_bttn();?>

	<?php endif;?>

	<?php if (!empty($data['print_ajax_submit_bttn'])):?>

			<?php echo ulp_quiz_submit_bttn();?>

	<?php endif;?>



    </div>

</div>




<script>

	IndeedQuiz.quiz_id = <?php echo $data['quiz_id'];?>;

	IndeedQuiz.course_id = <?php echo $data['course_id'];?>;
	IndeedQuiz.question_id = <?php echo $data['question_id'];?>;

	IndeedQuiz.is_last_question = <?php echo $data['is_last_question'];?>;

	IndeedQuiz.correct_answer_msg = '<div class="ulp-correct-answer-msg"><?php _e('Correct Answer', 'ulp');?></div>';

	IndeedQuiz.wrong_answer_msg = '<div class="ulp-wrong-answer-msg"><?php _e('Wrong Answer', 'ulp');?></div>';

	IndeedQuiz.submit_quiz_button = '<?php echo ulp_quiz_submit_bttn();?>';

	IndeedQuiz.next_bttn = '<?php echo ulp_quiz_next_bttn();?>';

</script>

