
<form action="<?php echo admin_url('admin.php?page=ultimate_learning_pro&tab=courses_tags');?>" method="post">
  <div class="ulp-stuffbox">
  		<h3 class="ulp-h3"><?php _e('Add/Edit Course tag', 'ulp');?></h3>
    	<div class="inside">
        <div class="ulp-inside-item">
   		<div class="row">
          <div class="col-xs-8">
            <input type="hidden" name="term_id" value="<?php echo $object->term_id;?>" />
    				<div class="input-group" style="  max-width: 400px;">
    					<span class="input-group-addon" ><?php _e('Slug:', 'ulp');?></span>
    					<input type="text" class="form-control" value="<?php echo $object->slug;?>" name="slug">
    				</div>
                     <p><i><?php _e("slug must be unique and based only on lowercase characters and not additional symbols", 'ulp');?></i></p>
    				<div class="input-group" style="  max-width: 400px; margin-top:20px; margin-bottom:30px;">
    					<span class="input-group-addon"><?php _e('Label:', 'ulp');?></span>
    					<input type="text" class="form-control" value="<?php echo $object->name;?>" name="label">
    				</div>
            <div class="input-group" style="  max-width: 400px; margin-top:20px; margin-bottom:30px;">
    					<h4><?php _e('Color:', 'ulp');?></h4>
              <p><?php _e("Choose one of the predefined colors", 'ulp');?></p>

              <div  class="ulp-user-list-wrap" style="  max-width: 600px; margin-bottom:15px; padding:0;">
              	<ul id="colors_ul" class="colors_ul">
                  <?php
                        $color_scheme = ['#0a9fd8', '#38cbcb', '#27bebe', '#0bb586', '#94c523', '#6a3da3', '#f1505b', '#ee3733', '#f36510', '#f8ba01'];
                        $i = 0;
                        foreach ($color_scheme as $color){
                            $class = ($object->color==$color) ? 'color-scheme-item-selected' : 'color-scheme-item';
                            ?>
                            <li class="<?php echo $class;?>" onClick="ulpChangeColorScheme(this, '<?php echo $color;?>', '#color_scheme');ulpPreviewShortcode();" style="background-color: <?php echo $color;?>;"></li>
                            <?php
                            $i++;
                        }
                  ?>
                  <div class='ulp-clear'></div>
                  </ul>
                  <input type="hidden" id="color_scheme" name="color" value="<?php echo $object->color;?>" />
              </div>
    				</div>
            <div class="input-group" style="  max-width: 400px; margin-top:20px; margin-bottom:30px; display:none;">
    					<span class="" ><?php _e('Description:', 'ulp');?></span>
    					<textarea class="form-control" name="description"><?php echo @$object->description;?></textarea>
    				</div>
    				<div class="ulp-submit-form" style="margin-top: 20px;">
    					<input type="submit" value="<?php _e('Save Changes', 'ulp');?>" name="save_tag" class="btn btn-primary pointer"/>
    				</div>
    	      </div>
            </div>
          </div>
        </div>
  	</div>
</form>
