<?php
$responseNumber = isset($_GET['response']) ? $_GET['response'] : false;
if ( !empty($_GET['token'] ) && $responseNumber == 1 ){
		$ElCheck = new \Indeed\Ulp\ElCheck();
		$responseNumber = $ElCheck->responseFromGet();
}
if ( $responseNumber !== false ){
		$ElCheck = new \Indeed\Ulp\ElCheck();
		$responseMessage = $ElCheck->responseCodeToMessage( $responseNumber, 'ulp-danger-box', 'ulp-success-box', 'ulp' );
}
$license = get_option( 'ulp_license_set' );
$envato_code = get_option( 'ulp_envato_code' );
?>

<div class="ulp-page-title">Ultimate Learning Pro - <span class="second-text"><?php _e('Help', 'ulp');?></span></div>

<div class="ulp-stuffbox">
	<h3 class="ulp-h3">
		<?php _e('Activate Ultimate Learning Pro', 'ulp');?>
	</h3>

	<form method="post" action="">
		<div class="inside">
			<?php if ($data ['disabled']):?>
				<div class="ulp-form-line ulp-no-border" style="font-weight: bold; color: red;"><?php _e("cURL is disabled. You need to enable if for further activation request.")?></div>
			<?php endif;?>

			<div class="ulp-form-line ulp-no-border" style="width:10%; float:left; box-sizing:border-box; text-align:right; font-weight:bold;">
				<label for="tag-name" class="ulp-labels" style="text-align: left;"><?php _e('Purchase Code', 'ulp');?></label>
			</div>

			<div class="ulp-form-line ulp-no-border" style="width:70%; float:left; box-sizing:border-box;">
				<input name="ulp_licensing_code" type="text" value="<?php echo $data['ulp_envato_code'];?>" style="width:100%;"/>
			</div>

			<div class="ulp-stuffbox-submit-wrap" style="width:20%; float:right; box-sizing:border-box;">
				<?php if ( $license ):?>
						<div class="ulp-revoke-license ulp-js-revoke-license"><?php _e( 'Revoke License', 'ulp' );?></div>
				<?php else: ?>
						<input type="submit" value="<?php _e('Activate License', 'ulp');?>" name="ulp_save_licensing_code" <?php echo $data ['disabled'];?> class="button button-primary button-large" />
				<?php endif;?>
			</div>

			<div class="ulp-clear"></div>

			<div class="ulp-license-status">
				<?php
					if ( $responseNumber !== false ){
							echo $responseMessage;
					} else if ( !empty( $_GET['revoke'] ) ){
							?>
							<div class="ulp-success-box"><?php _e( 'You have just revoke your license for Ultimate Learning Pro plugin.', 'ulp' );?></div>
							<?php
					} else if ( $license ){ ?>
								<div class="ulp-success-box"><?php _e( 'Your license for Ultimate Learning Pro is currently Active.', 'ulp' );?></div>
				<?php } ?>
      </div>

			<div class="ulp-license-status">
				<?php
						if ( isset($_GET['extraCode']) && isset( $_GET['extraMess'] ) && $_GET['extraMess'] != '' ){
								$_GET['extraMess'] = stripslashes($_GET['extraMess']);
								if ( $_GET['extraCode'] > 0 ){
										// success
										?>
										<div class="ulp-success-box"><?php echo urldecode( $_GET['extraMess'] );?></div>
										<?php
								} else if ( $_GET['extraCode'] < 0 ){
										// errors
										?>
										<div class="ulp-danger-box"><?php echo urldecode( $_GET['extraMess'] );?></div>
										<?php
								} else if ( $_GET['extraCode'] == 0 ){
										// warning
										?>
										<div class="ulp-warning-box"><?php echo urldecode( $_GET['extraMess'] );?></div>
										<?php
								}
						}
				?>
			</div>


				<div style="padding:0 60px;">
					<p><?php _e('A valid purchase code Activate the Full Version of', 'ulp');?><strong> Ultimate Learning Pro</strong> <?php _e('plugin and provides access on support system. A purchase code can only be used for ', 'ulp');?><strong><?php _e('ONE', 'ulp');?></strong> Ultimate Learning Pro <?php _e('for WordPress installation on', 'ulp');?> <strong><?php _e('ONE', 'ulp');?></strong> <?php _e('WordPress site at a time. If you previosly activated your purchase code on another website, then you have to get a', 'ulp');?> <a href="https://codecanyon.net/user/azzaroco/portfolio?ref=azzaroco" target="_blank"><?php _e('new Licence', 'ulp');?></a>.</p>
					<h4><?php _e('Where can I find my Purchase Code?', 'ulp');?></h4>
					<a href="https://codecanyon.net/user/azzaroco/portfolio?ref=azzaroco" target="_blank">
							<img src="<?php echo ULP_URL;?>assets/images/purchase_code.jpg" style="margin: 0 auto; display: block;"/>
					</a>
				</div>
			</div>
	</form>
	<div class="ulp-clear"></div>
</div>


  <div class="ulp-stuffbox">

		<h3 class="ulp-h3">
			<label style="text-transform: uppercase; font-size:16px;">
				<?php _e('Contact Support', 'ulp');?>
			</label>
		</h3>

		<div class="inside">
			<div class="submit" style="float:left; width:80%;">
				<?php _e('In order to contact Indeed support team you need to create a ticket providing all the necessary details via our support system:', 'ulp');?> support.wpindeed.com
			</div>
			<div class="submit" style="float:left; width:20%; text-align:center;">
				<a href="http://support.wpindeed.com/open.php?topicId=20" target="_blank" class="button button-primary button-large"> <?php _e('Submit Ticket', 'ulp');?></a>
			</div>
			<div class="ulp-clear"></div>
		</div>

	</div>

  <div class="ulp-stuffbox">
		<h3 class="ulp-h3">
			<label style="text-transform: uppercase; font-size:16px;">
				<?php _e('PHP Classes Descriptions', 'ulp');?>
			</label>
		</h3>
		<div class="inside">
        <?php require ULP_PATH . 'views/admin/view_description_for_php_classes.php';?>
		</div>
	</div>

	<div class="ulp-stuffbox">
		<h3 class="ulp-h3">
			<label style="text-transform: uppercase; font-size:16px;">
		    	<?php _e('Documentation', 'ulp');?>
		    </label>
		</h3>
		<div class="inside">
			<iframe src="https://learning.wpindeed.com/documentation/" width="100%" height="1000px" ></iframe>
		</div>
	</div>

	<script>
	jQuery( document ).ready(function(){
			jQuery( '[name=ulp_save_licensing_code]' ).on( 'click', function(){
					jQuery.ajax({
								type : "post",
								url : window.ulp_url + '/wp-admin/admin-ajax.php',
								data : {
												 action						: "ulp_el_check_get_url_ajax",
												 purchase_code		: jQuery('[name=ulp_licensing_code]').val(),
												 nonce 						: '<?php echo wp_create_nonce( 'ulp_license_nonce' );?>',
							  },
								success: function (data) {
										if ( data ){
												window.location.href = data;
										} else {
												alert( 'Error!' );
										}
								}
					});
					return false;
			});
			jQuery( '.ulp-js-revoke-license' ).on( 'click', function(){
					jQuery.ajax({
								type : "post",
								url : window.ulp_url + '/wp-admin/admin-ajax.php',
								data : {
												 action						: "ulp_revoke_license",
												 nonce 						: '<?php echo wp_create_nonce( 'ulp_license_nonce' );?>',
								},
								success: function (data) {
										window.location.href = '<?php echo admin_url('admin.php?page=ultimate_learning_pro&tab=help&revoke=true');?>';
								}
					});
			});
	});
	</script>
