<div style="margin-bottom: 10px;">



<div class="ulp-inside-item">

<div class="row">

    <div class="col-xs-6">

    <div class="input-group" style="  max-width: 400px; margin-top:20px;">

        <span class="input-group-addon"><?php _e('Unique identificator', 'ulp');?></span>

        <input type="text" class="form-control" name="unique_identificator" value="<?php echo $data['metas']['unique_identificator'];?>" />

    </div>

  </div>

</div>

</div>

<div class="ulp-line-break"></div>

<div class="ulp-inside-item">

<div class="row">

    <div class="col-xs-6">

    <div class="input-group" style="  max-width: 400px; margin-top:20px;">

        <span class="input-group-addon" style="background-color: #fafafa;"><?php _e('Source', 'ulp');?></span>

        <input type="text" class="form-control" name="source" disabled value="<?php echo $data['metas']['source'];?>" />

    </div>

    <div class="input-group" style="  max-width: 400px; margin-top:20px;">

        <span class="input-group-addon"><?php _e('Amount', 'ulp');?></span>

        <input type="number" class="form-control" min=0 name="amount" value="<?php echo $data['metas']['amount'];?>" />

        <div class="input-group-addon"><?php echo $data['currency'];?></div>

    </div>

  </div>

</div>

</div>

<div class="ulp-line-break"></div>

<div class="ulp-inside-item">

<div class="row">

    <div class="col-xs-6">

    <h3><?php _e('Customer Details', 'ulp');?></h3>



    <?php if (isset($data['metas']['avatar']) && isset($data['metas']['username'])):?>

    <div style=" margin-top:20px;">

    <img src="<?php echo $data['metas']['avatar'];?>" class="ulp-general-user-image" /><a href="<?php echo admin_url('user-edit.php?user_id=' . $data['metas']['user_id']); ?>" target="_blank"><?php echo $data['metas']['username'];?></a>

     </div>

     <?php endif;?>

     <div class="input-group" style="  max-width: 400px; margin-top:5px;">

        <span class="input-group-addon"><?php _e('User', 'ulp');?></span>

        <input type="text" class="form-control" name="username" value="<?php if (isset($data['metas']['username'])) echo $data['metas']['username'];?>" />

    </div>

  </div>

</div>

</div>

<div class="ulp-line-break"></div>

<div class="ulp-inside-item">

<div class="row">

    <div class="col-xs-6">

     <div style="  max-width: 400px; margin-top:15px;">

        <h3><?php _e('Course', 'ulp');?></h3>

        <?php if ($data['courses']):?>

            <select name="course_id" class="form-control m-bot15">

                <?php foreach ($data['courses'] as $array):?>

                  <option value="<?php echo $array['ID'];?>" <?php if ($array['ID']==$data['metas']['course_id']) echo 'selected';?> ><?php echo $array['post_title'];?></option>

                <?php endforeach;?>

            </select>

        <?php endif;?>

    </div>

  </div>

</div>

</div>

<div class="ulp-line-break"></div>

<div class="ulp-inside-item">

<div class="row">

    <div class="col-xs-6">

     <div style="  max-width: 400px; margin-top:15px;">

        <h3><?php _e('Order status', 'ulp');?></h3>

        <select name="ulp_status" class="form-control m-bot15">

            <?php

            $types = [

                      'ulp_pending' => __('Pending', 'ulp'),

                      'ulp_complete' => __('Completed', 'ulp'),

                      'ulp_fail' => __('Fail', 'ulp'),

            ];

            foreach ($types as $key=>$label):?>

            <option value="<?php echo $key;?>" <?php selected($data ['post_status'], $key);?> ><?php echo $label;?></option>

            <?php endforeach;?>

        </select>

    </div>

  </div>

</div>

</div>

<div class="ulp-inside-item">

<div class="row">

    <div class="col-xs-6">

      <div>

          <input type="submit" name="save" value="<?php _e('Save Changes', 'ulp');?>" class="button save_order button-primary" />

      </div>

  </div>

</div>

</div>

