<?php
$siteUrl = site_url();
$siteUrl = trailingslashit($siteUrl);
 ?>
<form action="" method="post">

	<div class="ulp-stuffbox">

		<h3 class="ulp-h3"><?php _e('PayPal Payment Integration', 'ulp');?></h3>

		<div class="inside">



			<div class="ulp-inside-item">

              <div class="row">

               <div class="col-xs-6">

				<h2><?php _e('Main PayPal settings', 'ulp');?></h2>



                <div class="input-group" style="  margin-top:20px;  max-width: 400px;">

					<span class="input-group-addon" id="basic-addon1"><?php _e('E-mail address', 'ulp');?></span>

				    <input type="text" class="form-control"  name="ulp_paypal_email" value="<?php echo $data['metas']['ulp_paypal_email'];?>" id="ulp_paypal_email" />

			      </div>


						<div class="ulp-form-line">
              <p>Please enter your PayPal Email address. This is required in order to take payments via PayPal.</p>
              </div>
							<h4 style="margin-top:20px;"><?php _e('How to setup', 'ulp');?></h4>
									<div style="font-size: 11px; color: #333; padding-left: 10px; padding-left: 15px; margin-left: 10px;border-left: 2px solid #C56767;">
									<div>1. <?php _e('Login with your credentials and go to \'Account Settings\' (top-right of page)', 'ulp'); ?></div>
									<div>2. <?php _e('After that go to \'Notifications\' and next Update the \'Instant payment notifications\'', 'ulp'); ?></div>
									<div>3. <?php _e('Setup your IPN in order to receive Payment confirmations as: ', 'ulp'); ?><a target="_blank" href="<?php echo $siteUrl . '?ulp_action=paypal';?>"><?php echo $siteUrl . '?ulp_action=paypal';?></a></p></div>
									</div>
                 <h4  style="  margin-top:20px;"><?php _e('SandBox Mode', 'ulp');?></h4>

                <label class="ulp_label_shiwtch" style="margin:10px 0 10px -10px;">

					<?php $checked = ($data['metas']['ulp_paypal_sandbox']) ? 'checked' : '';?>

					<input type="checkbox" class="ulp-switch" onClick="UltimateLearningPro.checkAndH(this, '#ulp_paypal_sandbox');" <?php echo $checked;?> />

					<div class="switch" style="display:inline-block;"></div>

				</label>

				<input type="hidden" name="ulp_paypal_sandbox" value="<?php echo $data['metas']['ulp_paypal_sandbox'];?>" id="ulp_paypal_sandbox" />

				<div class="ulp-form-line">
					<p>PayPal sandbox mode can be used to testing purpose. A Sandbox merchant account and additional Sandbox buyer account is required. Sign up as a <a target="_blank" href="https://developer.paypal.com/">developer account</a></p>
				</div>
				 </div>


              </div>

            </div>

            <div class="ulp-line-break"></div>



      	   <div class="ulp-inside-item" style="margin-top:10px;">

            <div class="row">

               <div class="col-xs-6">

               <h2><?php _e('Display options', 'ulp');?></h2>

			<div class="input-group" style="  max-width: 400px;">

					<span class="input-group-addon" id="basic-addon1"><?php _e('Label', 'ulp');?></span>

					<input type="text" class="form-control" name="ulp_paypal_label" value="<?php echo stripslashes($data['metas']['ulp_paypal_label']);?>" id="ulp_paypal_label" />

			</div>

			<div class="input-group" style="margin-top:40px;  max-width: 400px;">

					<span class="input-group-addon" id="basic-addon1"><?php _e('Description', 'ulp');?></span>

					<input type="text" class="form-control" name="ulp_paypal_description" value="<?php echo stripslashes($data['metas']['ulp_paypal_description']);?>" id="ulp_paypal_description" />

			</div>

			<div class="input-group" style="margin-top:40px; max-width: 400px;">

					<span class="input-group-addon" id="basic-addon1"><?php _e('Multi-Payment order', 'ulp');?></span>

					<input type="number" min="1" class="form-control" name="ulp_paypal_multipayment_order" value="<?php echo $data['metas']['ulp_paypal_multipayment_order'];?>" id="ulp_paypal_multipayment_order" />

			</div>


				</div>

            </div>

           </div>

					 <div class="ulp-submit-form" style="margin-top: 20px;">
		 				<input type="submit" value="<?php _e('Save Changes', 'ulp');?>" name="submit" class="btn btn-primary pointer" />
		 			</div>
          </div>

		</div>


</form>

