<form action="" method="post" role="form">

	<div class="ulp-stuffbox">

		<h3 class="ulp-h3"><?php _e('Payments Settings', 'ulp');?></h3>



	<div class="inside">

	<div class="ulp-inside-item">

      <div class="row">

          <div class="col-xs-4">



          <h2><?php _e('Additional Payment options', 'ulp');?></h2>



          <h4 style="margin-top:20px;"><?php _e('System Currency', 'ulp');?></h4>

				<div class="form-group row">

					<select name="ulp_currency" class="form-control m-bot15">

							<?php foreach ($data['currencies'] as $k=>$v):?>

									<?php

											if ($data['custom_currencies'] && isset($data ['custom_currencies'][$k])){

													$v .= __(' (custom currency)', 'ulp');

											}

									 ?>

									<option value="<?php echo $k;?>" <?php if ($k==$data['metas']['ulp_currency'])echo 'selected';?> ><?php echo $v;?></option>

							<?php endforeach;?>

		      </select>

				</div>


				<h4 style="margin-top:20px;"><?php _e('Custom Currency Symbol', 'ulp');?></h4>
				<div class="form-group row" style="padding-right: 87px;">
					<input type="text" class="form-control" style="max-width: 25rem;" name="ulp_custom_currency_code" value="<?php echo $data['metas']['ulp_custom_currency_code'];?>" />
				</div>



			<h4 style="margin-top:20px;"><?php _e('Currency position', 'ulp');?></h4>

				<div class="form-group row">

					<select name="ulp_currency_position" class="form-control m-bot15">

							<?php foreach (array('left' => __('Left', 'ulp'), 'right' => __('Right', 'ulp')) as $k=>$v):?>

									<option value="<?php echo $k;?>" <?php if ($k==$data['metas']['ulp_currency_position'])echo 'selected';?> ><?php echo $v;?></option>

							<?php endforeach;?>

		      </select>

				</div>



         		</div>

      </div>

    </div>

    <div class="ulp-line-break"></div>

	<div class="ulp-inside-item">

      <div class="row">

          <div class="col-xs-6">

			<h4 style="margin-top:20px;"><?php _e('Separators', 'ulp');?></h4>

				<div class="input-group" style="  max-width: 400px; margin-top:25px;">

					<span class="input-group-addon" id="basic-addon1"><?php _e('Thousands Separator', 'ulp');?></span>

					<input type="text" class="form-control" name="ulp_thousands_separator" value="<?php echo $data['metas']['ulp_thousands_separator'];?>" />

				</div>



				<div class="input-group" style="  max-width: 400px; margin-top:25px;">

					<span class="input-group-addon" id="basic-addon1"><?php _e('Decimals Separator', 'ulp');?></span>

					<input type="text" class="form-control" name="ulp_decimals_separator" value="<?php echo $data['metas']['ulp_decimals_separator'];?>" />

				</div>



				<div class="input-group" style="  max-width: 400px; margin-top:25px;">

					<span class="input-group-addon" id="basic-addon1"><?php _e('Number of Decimals', 'ulp');?></span>

					<input type="number" class="form-control" min=0 name="ulp_num_of_decimals" value="<?php echo $data['metas']['ulp_num_of_decimals'];?>" />

				</div>

		</div>

      </div>

    </div>

    <div class="ulp-line-break"></div>

		<div class="ulp-inside-item">

	      <div class="row">

	          <div class="col-xs-6">

	              <div class="ulp-form-line">

	                      <?php ulp_default_payment_type();?>

	              </div>

						</div>

      	</div>

    </div>



		<div class="ulp-line-break"></div>



		<div class="ulp-inside-item">

	      <div class="row">

	          <div class="col-xs-6">

              <h4 style="margin-top:20px;"><?php _e('Order Prefix Code', 'ulp');?></h4>

	              <div class="input-group" style="max-width: 400px; margin-top:25px;">

										<span class="input-group-addon" id="basic-addon1"><?php _e('Code:', 'ulp');?></span>

										<input type="text" class="form-control" name="ulp_order_prefix_code" value="<?php echo $data['metas']['ulp_order_prefix_code'];?>" />

	              </div>

						</div>

      	</div>

    </div>



    <div class="ulp-line-break"></div>

	<div class="ulp-inside-item">

      <div class="row">

          <div class="col-xs-6">

				<div class="form-group row" style="margin-top:30px;">

						<div class="col-4">

								<input type="submit" name="submit" value="<?php _e('Save Changes', 'ulp');?>" class="btn btn-primary pointer">

					  </div>

				</div>

		</div>

      </div>

    </div>

	</div>







<div class="clear"></div></div>

</form>

