<form action="<?php echo $data['form_submit_url'];?>" method="post">

		<div class="ulp-stuffbox">



			<h3 class="ulp-h3"><?php echo $data['post_title'] . __(' - Special Settings', 'ulp');?></h3>



			<?php do_action('ulp_admin_before_lesson_special_settings');?>



			<div class="inside">

				<div class="ulp-inside-item">

                	<div class="row">

                    	<div class="col-xs-6">

                        <h2><?php _e('Preview lesson', 'ulp');?></h2>

                        <p><?php _e('Activate this option to make this lesson available for everyone so that they can get an idea of how the course is like.', 'ulp');?></p>

                        <label class="ulp_label_shiwtch" style="margin:10px 0 10px -10px;">

						 <?php $checked = ($data['ulp_lesson_preview']) ? 'checked' : '';?>

						 <input type="checkbox" class="ulp-switch" onClick="UltimateLearningPro.checkAndH(this, '#ulp_lesson_preview');" <?php echo $checked;?> />

						 <div class="switch" style="display:inline-block;"></div>

					 </label>

					 <input type="hidden" name="ulp_lesson_preview" value="<?php echo $data['ulp_lesson_preview'];?>" id="ulp_lesson_preview" />



                        </div>

                    </div>

				</div>

				<div class="ulp-line-break"></div>

                <div class="ulp-inside-item">

                	<div class="row">

                    	<div class="col-xs-6">

                        <h2><?php _e('Assessments', 'ulp');?></h2>

                        <p><?php _e('The number of reward points a user earns by completing this lesson.', 'ulp');?></p>

                        <div class="input-group" style="  max-width: 400px;">

                            <span class="input-group-addon" id="basic-addon1"><?php _e('Reward Points: ', 'ulp');?></span>

                            <input type="number" class="form-control" value="<?php echo $data['ulp_post_reward_points'];?>" min="0" name="ulp_post_reward_points"/>

                        </div>



                        </div>

                    </div>

				</div>

				<div class="ulp-line-break"></div>

                <div class="ulp-inside-item">

                	<div class="row">

                    	<div class="col-xs-6">

                        <h2><?php _e('Display Options', 'ulp');?></h2>



                        <h4><?php _e('Links', 'ulp');?></h4>

                         <p><?php _e("Show 'back to course' link: ", 'ulp');?></p>

                        <div class="input-group">

                         <label class="ulp_label_shiwtch" style="margin:10px 0 10px -10px;">

                             <?php $checked = ($data['ulp_lesson_show_back_to_course_link']) ? 'checked' : '';?>

                             <input type="checkbox" class="ulp-switch" onClick="UltimateLearningPro.checkAndH(this, '#ulp_lesson_show_back_to_course_link');" <?php echo $checked;?> />

                             <div class="switch" style="display:inline-block;"></div>

                         </label>

                         <input type="hidden" name="ulp_lesson_show_back_to_course_link" value="<?php echo $data['ulp_lesson_show_back_to_course_link'];?>" id="ulp_lesson_show_back_to_course_link" />



                        </div>

                        </div>

                    </div>

				</div>

				<div class="ulp-line-break"></div>

                <div class="ulp-inside-item">

                	<div class="row">

                    	<div class="col-xs-6">

                         <h2><?php _e('Additional Settings', 'ulp');?></h2>



                         <h4><?php _e('Duration', 'ulp');?></h4>

                         <div class="input-group" style="  max-width: 400px;">

							<span class="input-group-addon" id="basic-addon1"><?php _e('Duration', 'ulp');?></span>

							<input type="number" class="form-control" name="ulp_lesson_duration" value="<?php echo $data['ulp_lesson_duration'];?>" min="1" />

                    	</div>

                        <div style="  max-width: 400px; margin-top:20px;">

                          <select name="ulp_lesson_duration_type" class="form-control m-bot15">

                              <?php $values = ulp_get_time_types();?>

                              <?php foreach ($values as $k => $v):?>

                                  <?php $selected = $data ['ulp_lesson_duration_type']==$k ? 'selected' : '';?>

                                  <option value="<?php echo $k;?>" <?php echo $selected;?> ><?php echo $v;?></option>

                              <?php endforeach;?>

                          </select>

						</div>

                        </div>

                    </div>

				</div>

				<div class="ulp-line-break"></div>



				<?php do_action('ulp_admin_after_lesson_special_settings');?>



			<div class="ulp-inside-item" style="margin-top:40px;">

                        <div class="row">

                            <div class="col-xs-6">

							<input type="submit" name="submit" value="<?php _e('Save Changes', 'ulp');?>"  class="btn btn-primary pointer" />

				  			</div>

						</div>

			</div>

			</div>



		</div>



		<input type="hidden" name="post_id" value="<?php echo esc_sql($_GET ['id']);?>" />



</form>

