<form action="" method="post">

	<div class="ulp-stuffbox">

		<h3 class="ulp-h3"><?php _e('Pushover Notifications', 'ulp');?></h3>

		<div class="inside">

		<div class="ulp-inside-item">

              <div class="row">

               <div class="col-xs-6">

			<div class="ulp-form-line">

					<h2><?php _e('Activate Pushover notifications', 'ulp');?></h2>

				<label class="ulp_label_shiwtch" style="margin:10px 0 10px -10px;">

					<?php $checked = ($data['metas']['ulp_pushover_enable']) ? 'checked' : '';?>

					<input type="checkbox" class="ulp-switch" onClick="UltimateLearningPro.checkAndH(this, '#ulp_pushover_enable');" <?php echo $checked;?> />

					<div class="switch" style="display:inline-block;"></div>

				</label>

				<input type="hidden" name="ulp_pushover_enable" value="<?php echo $data['metas']['ulp_pushover_enable'];?>" id="ulp_pushover_enable" />

			</div>

            </div>

          </div>

      </div>

      <div class="ulp-line-break"></div>

      <div class="ulp-inside-item">

          <div class="row">

              <div class="col-xs-4">

              <h4><?php _e('Credentials settings', 'ulp');?></h4>

      <div class="input-group" style=" margin-top:15px;">

          <span class="input-group-addon" id="basic-addon1"><?php _e('App Token', 'ulp');?></span>

          <input type="text" class="form-control" name="ulp_pushover_app_token" value="<?php echo $data['metas']['ulp_pushover_app_token'];?>" />

      </div>



      <div class="input-group" style=" margin-top:15px;">

          <span class="input-group-addon" id="basic-addon1"><?php _e('Admin Personal User Token', 'ulp');?></span>

          <input type="text" class="form-control" name="ulp_pushover_app_token" value="<?php echo $data['metas']['ulp_pushover_app_token'];?>" />

      </div>

       <p><?php _e("Use this to get 'Admin Notifications' on Your own device.", 'ulp');?></p>



      <div class="input-group" style=" margin-top:15px;">

          <span class="input-group-addon" id="basic-addon1"><?php _e('URL', 'ulp');?></span>

          <input type="text" class="form-control" name="ulp_pushover_url" value="<?php echo stripslashes($data['metas']['ulp_pushover_url']);?>" />

      </div>



      <div class="input-group" style=" margin-top:15px;">

          <span class="input-group-addon" id="basic-addon1"><?php _e('URL title', 'ulp');?></span>

          <input type="text" class="form-control" name="ulp_pushover_url_title" value="<?php echo stripslashes($data['metas']['ulp_pushover_url_title']);?>" />

      </div>



      <div style="font-size: 11px; color: #333; padding-left: 10px; margin-top:20px;    border-left: 2px solid #C56767 !important;">

          <div><?php echo __('1. Go to ', 'ulp') . '<a href="https://pushover.net/" target="_blank">https://pushover.net/</a>' . __(' and login with your credentials or sign up for a new account.', 'ulp');?></div>

          <div><?php echo __('2. After that go to ', 'ulp') . '<a href="https://pushover.net/apps/build" target="_blank">https://pushover.net/apps/build</a>' . __(' and create a new App.', 'ulp');?></div>

          <div><?php _e("3. Set the type of App to 'Application'.", 'ulp');?></div>

          <div><?php _e('4. Copy and paste API Token/Key.', 'ulp');?></div>

      </div>



			<div class="ulp-submit-form" style="margin-top: 20px;">

				<input type="submit" value="<?php _e('Save Changes', 'ulp');?>" name="submit" class="btn btn-primary pointer" />

			</div>

			</div>

		 </div>

       </div>

		</div>

	</div>



  <div class="ulp-stuffbox">

		<h3 class="ulp-h3"><?php _e('Notification Sound', 'ulp');?></h3>

		<div class="inside">

          <h4><?php _e('Default Sound for mobile notification', 'ulp');?></h4>

      <div class="ulp-form-line">

          <select name="ulp_pushover_sound">

  					<?php

  						$possible = array(

  											'bike' => __('Bike', 'ulp'),

  											'bugle' => __('Bugle', 'ulp'),

  											'cash_register' => __('Cash Register', 'ulp'),

  											'classical' => __('Classical', 'ulp'),

  											'cosmic' => __('Cosmic', 'ulp'),

  											'falling' => __('Falling', 'ulp'),

  											'gamelan' => __('Gamelan', 'ulp'),

  											'incoming' => __('Incoming', 'ulp'),

  											'intermission' => __('Intermission', 'ulp'),

  											'magic' => __('Magic', 'ulp'),

  											'mechanical' => __('Mechanical', 'ulp'),

  											'piano_bar' => __('Piano Bar', 'ulp'),

  											'siren' => __('Siren', 'ulp'),

  											'space_alarm' => __('Space Alarm', 'ulp'),

  											'tug_boat' => __('Tug Boat', 'ulp'),

  						);

  					?>

  					<?php foreach ($possible as $k=>$v):?>

  						<?php $selected = ($data['metas']['ulp_pushover_sound']==$k) ? 'selected' : '';?>

  						<option value="<?php echo $k;?>" <?php echo $selected;?> ><?php echo $v;?></option>

  					<?php endforeach;?>

   				</select>

      </div>





      <div class="ulp-submit-form" style="margin-top: 20px;">

          <input type="submit" value="<?php _e('Save Changes', 'ulp');?>" name="submit" class="btn btn-primary pointer" />

      </div>



    </div>

  </div>



</form>

<?php

