<div class="ulp-user-list-wrap">

    <div class="ulp-page-title">Ultimate Learning Pro -

      <span class="second-text"><?php _e('Student Leaderboard', 'ulp');?></span>

    </div>



    <div class="ulp-user-list-settings-wrapper">

      <div class="box-title">

        <h3><i class="fa-ulp fa-icon-angle-down-ulp"></i><?php _e("ShortCode Generator", 'ulp')?></h3>

        <div class="actions pointer">

            <a onclick="jQuery('#the_ulp_user_list_settings').slideToggle();" class="btn btn-mini content-slideUp">

              <i class="fa-ulp fa-icon-cogs-ulp"></i>

            </a>

        </div>

        <div class="ulp-clear"></div>

      </div>



      <div id="the_ulp_user_list_settings" class="ulp-list-users-settings ulp-stuffbox">

      <div class="inside">

      	<div class="ulp-inside-item">

          <div class="row">

              <div class="col-xs-6">

              <h2><?php _e("Style options", 'ulp');?></h2>

              <p><?php _e("Choose one of the available templates provided by the system", 'ulp');?></p>

              <h4 style="margin-top:25px;"><?php _e("Select Template", 'ulp');?></h4>

              <div style="  max-width: 400px; margin-bottom:15px;">

              	<select id="theme" onChange="ulpPreviewShortcode();" class="form-control m-bot15"><?php

                  $themes = array(

                                  'theme_1' => __('Template', 'ulp') . ' 1',

                                  'theme_2' => __('Template', 'ulp') . ' 2',

                  );

                  foreach ($themes as $k=>$v){

                    $selected = ($data ['metas']['theme']==$k) ? 'selected' : '';

                    ?>

                    <option value="<?php echo $k;?>" <?php echo $selected;?> ><?php echo $v;?></option>

                    <?php

                  }

                ?></select>

              </div>



              <h4 style="margin-top:25px;"><?php _e("Color Scheme", 'ulp');?></h4>

              <p><?php _e("Choose one of the predefined colors", 'ulp');?></p>

              <div style="  max-width: 400px; margin-bottom:15px;">

              	<ul id="colors_ul" class="colors_ul">

                                  <?php

                                      $color_scheme = array('0a9fd8', '38cbcb', '27bebe', '0bb586', '94c523', '6a3da3', 'f1505b', 'ee3733', 'f36510', 'f8ba01');

                                      $i = 0;

                                      foreach ($color_scheme as $color){

                                          $class = ($data ['metas']['color_scheme']==$color) ? 'color-scheme-item-selected' : 'color-scheme-item';

                                          ?>

                                              <li class="<?php echo $class;?>" onClick="ulpChangeColorScheme(this, '<?php echo $color;?>', '#color_scheme');ulpPreviewShortcode();" style="background-color: #<?php echo $color;?>;"></li>

                                          <?php

                                          $i++;

                                      }

                                  ?>

                  <div class='ulp-clear'></div>

                              </ul>

                              <input type="hidden" id="color_scheme" value="<?php echo $data ['metas']['color_scheme'];?>" />

              </div>



              <h4 style="margin-top:25px;"><?php _e("Column Layout", 'ulp');?></h4>

              <div style="  max-width: 400px; margin-bottom:15px;">

               <select id="columns" onChange="ulpPreviewShortcode();" class="form-control m-bot15"><?php

                  for ($i=1; $i<7; $i++){

                    $selected = ($i==$data ['metas']['columns']) ? 'selected' : '';

                    ?>

                    <option value="<?php echo $i;?>" <?php echo $selected;?>><?php echo $i . __(" Columns", 'ulp')?></option>

                    <?php

                  }

                ?></select>

                </div>



               <h4 style="margin-top:25px;"><?php _e("Additional display options", 'ulp');?></h4>

               <div style="  max-width: 400px; margin-bottom:15px;">

               		<div class="ulp-user-list-row">

              		<?php $checked = (empty($data ['metas']['align_center'])) ? '' : 'checked';?>

              		<input type="checkbox" id="align_center" <?php echo $checked;?> onClick="ulpPreviewShortcode();"/> <?php _e("Align the Items Centered", 'ulp');?>

            		</div>



            		<!--div class="ulp-user-list-row">

              		<?php $checked = ($data ['metas']['include_fields_label']) ? 'checked' : '';?>

              		<input type="checkbox" class="" id="include_fields_label" onClick="ulpPreviewShortcode();" <?php echo $checked;?> />

              		<?php _e('Show Fields Label', 'ulp');?>

            		</div-->

               </div>





              </div>

          </div>

        </div>

        <div class="ulp-line-break"></div>



        <div class="ulp-inside-item">

          <div class="row">

              <div class="col-xs-6">

        	  <h2><?php _e("Entity management", 'ulp');?></h2>

              <p><?php _e("How many stundents and how will be listed", 'ulp');?></p>



              <div class="input-group" style="  max-width: 400px; margin-top:35px;">

              	 <span class="input-group-addon" id="basic-addon1"><?php _e("Total Students", 'ulp');?></span>

              	 <input type="number" class="form-control" value="<?php echo $data ['metas']['num_of_entries'];?>" id="num_of_entries" onKeyUp="ulpPreviewShortcode();" onChange="ulpPreviewShortcode();" min="0" />

              </div>

              <h4 style="margin-top:25px;"><?php _e("Order Items", 'ulp');?></h4>

              <p><?php _e("The List of students can be ordered by specific criterias and different direction.", 'ulp');?></p>

              <div style="  max-width: 400px; margin-bottom:15px;">

              	<select id="order_by" onChange="ulpPreviewShortcode();" class="form-control m-bot15">

                  <?php

                    $arr = array(

                            'reward_points' => __('Rewarded Points', 'ulp'),

                            'user_registered' => __('Register Date','ulp'),

                            'user_login' => __("UserName", 'ulp'),

                            'user_email' => __("E-mail Address", 'ulp'),

                            'random' => __("Random", 'ulp'),

                    );

                    foreach ($arr as $k=>$v){

                      $selected = ($data ['metas']['order_by']==$k) ? 'selected' : '';

                      ?>

                      <option value="<?php echo $k?>" <?php echo $selected;?>><?php echo $v;?></option>

                      <?php

                    }

                  ?>

                </select>

                <select id="order_type" onChange="ulpPreviewShortcode();" class="form-control m-bot15" style="margin-top:15px;">

                  <?php

                    foreach (array( 'desc'=>'DESC' , 'asc'=>'ASC') as $k=>$v){

                      $selected = ($data ['metas']['order_type']==$k) ? 'selected' : '';

                      ?>

                      <option value="<?php echo $k?>" <?php echo $selected;?>><?php echo $v;?></option>

                      <?php

                    }

                  ?>

                </select>

              </div>

         	   <h4 style="margin-top:25px;"><?php _e("Displayed Fields", 'ulp');?></h4>

        	   <div class="ulp-user-list-row" style="max-width:800px;">

                              <?php $fields_in = ['full_name', 'feat_image', 'points','user_email'];?>

                              <?php $fields = array(

                                  'full_name' => __('Full Student Name', 'ulp'),

                                  'feat_image' => __('Photo Avatar', 'ulp'),

                                  'points' => __('Rewarded Points', 'ulp'),

                                  'user_email' => __('E-mail Address', 'ulp'),

                                  'user_registered' => __('User register date', 'ulp')

                              );?>

                              <?php foreach ($fields as $k=>$v):?>

                                  <div class="ulp-fields" style="color: #0a9fd8; float:left; margin-right:30px; min-width:100px;">

                  				  	         <input type="checkbox" <?php if (in_array($k, $fields_in)) echo 'checked';?> value="<?php echo $k;?>" onclick="ulpSecondMakeInputhString(this, '<?php echo $k;?>', '#ulp_grid_fields');ulpPreviewShortcode();"> <span style="vertical-align:bottom"><?php echo $v;?></span>

                  				  	    </div>

                              <?php endforeach;?>

                              <input type="hidden" value="<?php echo implode(',', $fields_in);?>" id="ulp_grid_fields" />

                             <div class="ulp-clear"></div>

               </div>



              </div>

          </div>

        </div>

        <div class="ulp-line-break"></div>



        <div class="ulp-inside-item">

          <div class="row">

              <div class="col-xs-6">

        	  <h2><?php _e("Pagination Settings", 'ulp');?></h2>

                 <div class="input-group" style="  max-width: 400px; margin-top:35px;">

                  <span class="input-group-addon" id="basic-addon1"><?php _e("Entries Per Page", 'ulp');?></span>

                  <input type="number" class="form-control" value="<?php echo $data ['metas']['entries_per_page'];?>" id="entries_per_page" onKeyUp="ulpPreviewShortcode();" onChange="ulpPreviewShortcode();" min="1" />

                </div>

                <div class="ulp-user-list-row" style="  max-width: 400px; margin-bottom:15px;">

                  <h4><?php _e("Position", 'ulp');?></h4>

                  <select id="pagination_pos" onchange="ulpPreviewShortcode();" class="form-control m-bot15"> <?php

                    foreach (array('both' => 'Both' , 'top' => 'Top', 'bottom' => 'Bottom') as $k=>$v){

                      ?>

                      <option value="<?php echo $k;?>"><?php echo $v;?></option>

                      <?php

                    }

                  ?></select>

                </div>

                <div class="ulp-user-list-row" style="  max-width: 400px; margin-bottom:15px;">

                  <h4 style="font-size: 18px;"><?php _e("Theme", 'ulp');?></h4>

                  <select id="general_pagination_theme" onchange="ulpPreviewShortcode();" class="form-control m-bot15"><?php

                    foreach (array('ulp-listing-users-pagination-1' => 'Theme One') as $k=>$v){

                      ?>

                      <option value="<?php echo $k;?>"><?php echo $v;?></option>

                      <?php

                    }

                  ?></select>

                </div>

              </div>

          </div>

        </div>



      </div>

      </div>







      <!--div id="the_ulp_user_list_settings" class="ulp-list-users-settings" style="display:none;">



        <div class="ulp-column column-one">

          <h4 style="background-color: rgb(66, 66, 66);"><i class="fa-ulp fa-icon-dispent-ulp"></i><?php _e('Display Entries', 'ulp');?></h4>

          <div class="ulp-settings-inner">

            <div class="ulp-user-list-row">

              <div class="ulp-label"><?php _e("Number Of Entries:", 'ulp');?></div>

              <div class="ulp-field"><input type="number" value="<?php echo $data ['metas']['num_of_entries'];?>" id="num_of_entries" onKeyUp="ulpPreviewShortcode();" onChange="ulpPreviewShortcode();" style="width: 81px;" min="0" /></div>

            </div>

            <div class="ulp-spacewp_b_divs"></div>

            <div class="ulp-user-list-row">

              <div class="ulp-label"><?php _e("Order By:", 'ulp');?></div>

              <div class="ulp-field">

                <select id="order_by" onChange="ulpPreviewShortcode();">

                  <?php

                    $arr = array( 'user_registered' => __('Register Date','ulp'),

                            'user_login' => __("UserName", 'ulp'),

                            'user_email' => __("E-mail Address", 'ulp'),

                            'random' => __("Random", 'ulp'),

                    );

                    foreach ($arr as $k=>$v){

                      $selected = ($data ['metas']['order_by']==$k) ? 'selected' : '';

                      ?>

                      <option value="<?php echo $k?>" <?php echo $selected;?>><?php echo $v;?></option>

                      <?php

                    }

                  ?>

                </select>

              </div>

            </div>

            <div class="ulp-user-list-row">

              <div class="ulp-label"><?php _e("Order Type:", 'ulp');?></div>

              <div class="ulp-field">

                <select id="order_type" onChange="ulpPreviewShortcode();">

                  <?php

                    foreach (array('asc'=>'ASC', 'desc'=>'DESC') as $k=>$v){

                      $selected = ($data ['metas']['order_type']==$k) ? 'selected' : '';

                      ?>

                      <option value="<?php echo $k?>" <?php echo $selected;?>><?php echo $v;?></option>

                      <?php

                    }

                  ?>

                </select>

              </div>

            </div>

          </div>

        </div>



        <div class="ulp-column column-three">

          <h4 style="background: #1fb5ac;"><i class="fa-ulp fa-icon-temp-ulp"></i>Template</h4>

          <div class="ulp-settings-inner">

            <div class="ulp-user-list-row">

              <div class="ulp-label"><?php _e("Select Theme", 'ulp');?></div>

              <div class="ulp-field">

                <select id="theme" onChange="ulpPreviewShortcode();"><?php

                  $themes = array(

                                  'theme_1' => __('Theme', 'ulp') . ' 1',

                                  'theme_2' => __('Theme', 'ulp') . ' 2',

                                  'theme_3' => __('Theme', 'ulp') . ' 3',

                  );

                  foreach ($themes as $k=>$v){

                    $selected = ($data ['metas']['theme']==$k) ? 'selected' : '';

                    ?>

                    <option value="<?php echo $k;?>" <?php echo $selected;?> ><?php echo $v;?></option>

                    <?php

                  }

                ?></select>

              </div>

            </div>

            <div class="ulp-user-list-row">

              <div class="ulp-label"><?php _e("Color Scheme", 'ulp');?></div>

              <div class="ulp-field">

                              <ul id="colors_ul" class="colors_ul">

                                  <?php

                                      $color_scheme = array('0a9fd8', '38cbcb', '27bebe', '0bb586', '94c523', '6a3da3', 'f1505b', 'ee3733', 'f36510', 'f8ba01');

                                      $i = 0;

                                      foreach ($color_scheme as $color){

                                          if( $i==5 ) echo "<div class='ulp-clear'></div>";

                                          $class = ($data ['metas']['color_scheme']==$color) ? 'color-scheme-item-selected' : 'color-scheme-item';

                                          ?>

                                              <li class="<?php echo $class;?>" onClick="ulpChangeColorScheme(this, '<?php echo $color;?>', '#color_scheme');ulpPreviewShortcode();" style="background-color: #<?php echo $color;?>;"></li>

                                          <?php

                                          $i++;

                                      }

                                  ?>

                  <div class='ulp-clear'></div>

                              </ul>

                              <input type="hidden" id="color_scheme" value="<?php echo $data ['metas']['color_scheme'];?>" />

              </div>

            </div>

            <div class="ulp-user-list-row">

              <div class="ulp-label"><?php _e("Columns", 'ulp');?></div>

              <div class="ulp-field">

                <select id="columns" onChange="ulpPreviewShortcode();"><?php

                  for ($i=1; $i<7; $i++){

                    $selected = ($i==$data ['metas']['columns']) ? 'selected' : '';

                    ?>

                    <option value="<?php echo $i;?>" <?php echo $selected;?>><?php echo $i . __(" Columns", 'ulp')?></option>

                    <?php

                  }

                ?></select>

              </div>

            </div>

            <div class="ulp-user-list-row" style="padding-top: 10px;">

              <div class="ulp-label"><?php _e("Additional Options", 'ulp');?></div>

            </div>

            <div class="ulp-user-list-row">

              <?php $checked = (empty($data ['metas']['align_center'])) ? '' : 'checked';?>

              <input type="checkbox" id="align_center" <?php echo $checked;?> onClick="ulpPreviewShortcode();"/> <?php _e("Align the Items Centered", 'ulp');?>

            </div>



            <div class="ulp-user-list-row">

              <?php $checked = ($data ['metas']['include_fields_label']) ? 'checked' : '';?>

              <input type="checkbox" class="" id="include_fields_label" onClick="ulpPreviewShortcode();" <?php echo $checked;?> />

              <?php _e('Show Fields Label', 'ulp');?>

            </div>

          </div>

        </div>



        <div class="ulp-column column-four" style="width:50%;">

          <h4 style="background: rgba(240, 80, 80, 1.0);"><i class="fa-ulp fa-icon-slider-ulp"></i><?php _e("Slider ShowCase", 'ulp');?></h4>

          <div class="ulp-settings-inner">

            <div class="ulp-user-list-row">

              <?php $checked = (empty($data ['metas']['slider_set'])) ? '' : 'checked';?>

              <input type="checkbox" <?php echo $checked;?> id="slider_set" onClick="ulpCheckboxDivRelation(this, '#slider_options');ulpPreviewShortcode();"/> <b><?php echo __('Show as Slider', 'ulp');?></b>

                      <div class="extra-info" style="display:block;"><?php echo __('If the “Slider Showcase” is used, then the “Pagination Showcase” is disabled.', 'ulp');?></div>

            </div>

            <div style="opacity:0.5" id="slider_options" >



               <div class="splt-1">

              <div class="ulp-user-list-row">

                <div class="ulp-label"><?php _e('Items per Slide:', 'ulp');?></div>

                <div class="ulp-field">

                  <input type="number" min="1" id="items_per_slide" onChange="ulpPreviewShortcode();" onKeyup="ulpPreviewShortcode();" value="<?php echo $data ['metas']['items_per_slide'];?>" class=""/>

                </div>

              </div>

              <div class="ulp-user-list-row">

                <div class="ulp-label"><?php _e('Slider Timeout:', 'ulp');?></div>

                <div class="ulp-field">

                  <input type="number" min="1" id="speed" onChange="ulpPreviewShortcode();" onKeyup="ulpPreviewShortcode();" value="<?php echo $data ['metas']['speed'];?>" class=""/>

                </div>

              </div>

              <div class="ulp-user-list-row">

                <div class="ulp-label"><?php _e('Pagination Speed:', 'ulp');?></div>

                <div class="ulp-field">

                  <input type="number" min="1" id="pagination_speed" onChange="ulpPreviewShortcode();" onKeyup="ulpPreviewShortcode();" value="<?php echo $data ['metas']['pagination_speed'];?>" class=""/>

                </div>

              </div>

               <div class="ulp-user-list-row">

                              <div class="ulp-label"><?php _e('Pagination Theme:', 'ulp');?></div>

                              <div class="ulp-field">

                                <select id="pagination_theme" onChange="ulpPreviewShortcode();" style="min-width:162px;"><?php

                                  $array = array(

                                            'pag-theme1' => __('Pagination Theme 1', 'ulp'),

                                            'pag-theme2' => __('Pagination Theme 2', 'ulp'),

                                            'pag-theme3' => __('Pagination Theme 3', 'ulp'),

                                          );

                                  foreach ($array as $k=>$v){

                                    $selected = ($k==$data ['metas']['pagination_theme']) ? 'selected' : '';

                                    ?>

                                    <option value="<?php echo $k;?>" <?php echo $selected;?> ><?php echo $v;?></option>

                                    <?php

                                  }

                                ?>

                                  </select>

                              </div>

                          </div>



                            <div class="ulp-user-list-row">

                              <div class="ulp-label"><?php _e('Animation Slide In', 'ulp');?></div>

                              <div class="ulp-field">

                                  <select onChange="ulpPreviewShortcode();" id="animation_in" style="min-width:162px;">

                    <option value="none">None</option>

                    <option value="fadeIn">fadeIn</option>

                    <option value="fadeInDown">fadeInDown</option>

                    <option value="fadeInUp">fadeInUp</option>

                    <option value="slideInDown">slideInDown</option>

                    <option value="slideInUp">slideInUp</option>

                    <option value="flip">flip</option>

                    <option value="flipInX">flipInX</option>

                    <option value="flipInY">flipInY</option>

                    <option value="bounceIn">bounceIn</option>

                    <option value="bounceInDown">bounceInDown</option>

                    <option value="bounceInUp">bounceInUp</option>

                    <option value="rotateIn">rotateIn</option>

                    <option value="rotateInDownLeft">rotateInDownLeft</option>

                    <option value="rotateInDownRight">rotateInDownRight</option>

                    <option value="rollIn">rollIn</option>

                    <option value="zoomIn">zoomIn</option>

                    <option value="zoomInDown">zoomInDown</option>

                    <option value="zoomInUp">zoomInUp</option>

                  </select>

                              </div>

                            </div>





                          <div class="ulp-user-list-row">

                              <div class="ulp-label"><?php _e('Animation Slide Out', 'ulp');?></div>

                              <div class="ulp-field">

                                    <select onChange="ulpPreviewShortcode();" id="animation_out" style="min-width:162px;">

                    <option value="none">None</option>

                    <option value="fadeOut">fadeOut</option>

                    <option value="fadeOutDown">fadeOutDown</option>

                    <option value="fadeOutUp">fadeOutUp</option>

                    <option value="slideOutDown">slideOutDown</option>

                    <option value="slideOutUp">slideOutUp</option>

                    <option value="flip">flip</option>

                    <option value="flipOutX">flipOutX</option>

                    <option value="flipOutY">flipOutY</option>

                    <option value="bounceOut">bounceOut</option>

                    <option value="bounceOutDown">bounceOutDown</option>

                    <option value="bounceOutUp">bounceOutUp</option>

                    <option value="rotateOut">rotateOut</option>

                    <option value="rotateOutUpLeft">rotateOutUpLeft</option>

                    <option value="rotateOutUpRight">rotateOutUpRight</option>

                    <option value="rollOut">rollOut</option>

                    <option value="zoomOut">zoomOut</option>

                    <option value="zoomOutDown">zoomOutDown</option>

                    <option value="zoomOutUp">zoomOutUp</option>

                  </select>

                              </div>

                          </div>

            </div>

            <div class="splt-2">



              <div class="ulp-user-list-row">

                              <div class="ulp-label"><?php _e('Additional Options', 'ulp');?></div>

              </div>

              <div class="ulp-user-list-row">

                <?php $checked = (empty($data ['metas']['bullets'])) ? '' : 'checked';?>

                <input type="checkbox" id="bullets" onClick="ulpPreviewShortcode();" <?php echo $checked;?> /> <?php _e("Bullets", 'ulp');?>

              </div>

              <div class="ulp-user-list-row">

                <?php $checked = (empty($data ['metas']['nav_button'])) ? '' : 'checked';?>

                <input type="checkbox" id="nav_button" onClick="ulpPreviewShortcode();" <?php echo $checked;?> /> <?php _e("Nav Button", 'ulp');?>

              </div>

              <div class="ulp-user-list-row">

                <?php $checked = (empty($data ['metas']['autoplay'])) ? '' : 'checked';?>

                <input type="checkbox" id="autoplay" onClick="ulpPreviewShortcode();" <?php echo $checked;?> /> <?php _e("AutoPlay", 'ulp');?>

              </div>

              <div class="ulp-user-list-row">

                <?php $checked = (empty($data ['metas']['stop_hover'])) ? '' : 'checked';?>

                <input type="checkbox" id="stop_hover" onClick="ulpPreviewShortcode();" <?php echo $checked;?> /> <?php _e("Stop On Hover", 'ulp');?>

              </div>

              <div class="ulp-user-list-row">

                <?php $checked = (empty($data ['metas']['responsive'])) ? '' : 'checked';?>

                <input type="checkbox" id="responsive" onClick="ulpPreviewShortcode();" <?php echo $checked;?> /> <?php _e("Responsive", 'ulp');?>

              </div>

              <div class="ulp-user-list-row">

                <?php $checked = (empty($data ['metas']['autoheight'])) ? '' : 'checked';?>

                <input type="checkbox" id="autoheight" onClick="ulpPreviewShortcode();" <?php echo $checked;?> /> <?php _e("Auto Height", 'ulp');?>

              </div>

              <div class="ulp-user-list-row">

                <?php $checked = (empty($data ['metas']['lazy_load'])) ? '' : 'checked';?>

                <input type="checkbox" id="lazy_load" onClick="ulpPreviewShortcode();" <?php echo $checked;?> /> <?php _e("Lazy Load", 'ulp');?>

              </div>

              <div class="ulp-user-list-row">

                <?php $checked = (empty($data ['metas']['loop'])) ? '' : 'checked';?>

                <input type="checkbox" id="loop" onClick="ulpPreviewShortcode();" <?php echo $checked;?> /> <?php _e("Play in Loop", 'ulp');?>

              </div>

            </div>



                <div class="ulp-clear"></div>

            </div>

          </div>

        </div>

          <div class="ulp-clear"></div>







        <div class="ulp-column column-two" style=" width:50%;">

                    <h4 class="ulp-memberslist-box"><i class="fa-ulp fa-dot-ulp"></i><?php _e('Pagination', 'ulp');?></h4>

            <div class="ulp-settings-inner">

            <div class="ulp-user-list-row">

              <h3 style="font-size: 18px;"><?php _e("Entries Per Page:", 'ulp');?></h3>

              <div class="ulp-field"><input type="number" style="min-width:400px;" value="<?php echo $data ['metas']['entries_per_page'];?>" id="entries_per_page" onKeyUp="ulpPreviewShortcode();" onChange="ulpPreviewShortcode();" style="width: 81px;" min="1" /></div>

            </div>

            <div class="ulp-user-list-row">

              <h3 style="font-size: 18px;"><?php _e("Position", 'ulp');?></h3>

              <select id="pagination_pos" onchange="ulpPreviewShortcode();" style="min-width:400px;"> <?php

                foreach (array('top' => 'Top', 'bottom' => 'Bottom', 'both' => 'Both') as $k=>$v){

                  ?>

                  <option value="<?php echo $k;?>"><?php echo $v;?></option>

                  <?php

                }

              ?></select>

            </div>

            <div class="ulp-user-list-row">

              <h3 style="font-size: 18px;"><?php _e("Theme", 'ulp');?></h3>

              <select id="general_pagination_theme" onchange="ulpPreviewShortcode();" style="min-width:400px;"><?php

                foreach (array('ulp-listing-users-pagination-1' => 'Theme One') as $k=>$v){

                  ?>

                  <option value="<?php echo $k;?>"><?php echo $v;?></option>

                  <?php

                }

              ?></select>

            </div>

            </div>

          </div>

          <div class="ulp-clear"></div>





                    <div class="ulp-column column-two">

                        <h4 class="ulp-memberslist-box"><i class="fa-ulp fa-icon-entryinfo-ulp"></i><?php _e('Displayed Fields', 'ulp');?></h4>

                        <div class="ulp-settings-inner">

              	           <div class="ulp-user-list-row">

                              <?php $fields_in = ['full_name', 'feat_image'];?>

                              <?php $fields = array(

                                  'full_name' => __('Full name', 'ulp'),

                                  'feat_image' => __('Feature image', 'ulp'),

                                  'user_email' => __('E-mail', 'ulp'),

                              );?>

                              <?php foreach ($fields as $k=>$v):?>

                                  <div class="ulp-fields" style="color: #0a9fd8;">

                  				  	         <input type="checkbox" <?php if (in_array($k, $fields_in)) echo 'checked';?> value="<?php echo $k;?>" onclick="ulpSecondMakeInputhString(this, '<?php echo $k;?>', '#ulp_grid_fields');ulpPreviewShortcode();"> <span style="vertical-align:bottom"><?php echo $v;?></span>

                  				  	    </div>

                              <?php endforeach;?>

                           </div>

                           <input type="hidden" value="<?php echo implode(',', $fields_in);?>" id="ulp_grid_fields" />

                        </div>

                    </div>





      </div-->

      <div class="ulp-clear"></div>

    </div>





    <div class="ulp-user-list-shortcode-wrapp">

          <div class="content-shortcode">

              <div>

                  <span style="font-weight:bolder; color: #fff; font-style:italic; font-size:13px;"><?php echo __('ShortCode :', 'ulp');?> </span>

                  <span class="the-shortcode"></span>

              </div>

              <div style="margin-top:10px;">

                  <span style="font-weight:bolder; color: #fff; font-style:italic; font-size:13px;"><?php echo __('PHP Code:', 'ulp');?> </span>

                  <span class="php-code"></span>

              </div>

          </div>

      </div>



      <div class="ulp-user-list-preview">

        <div class="box-title" style="background: #00b2f0;">

            <h2 style="color:#fff;"><i class="fa-ulp fa-icon-eyes-ulp"></i><?php echo __('Preview', 'ulp');?></h2>

            <div class="actions-preview pointer">

               <a onclick="jQuery('#preview').slideToggle();" class="btn btn-mini content-slideUp" style="color:#fff; border: none;">

                  <i class="fa-ulp fa-icon-cogs-ulp"></i>

               </a>

            </div>

            <div class="ulp-clear"></div>

        </div>

        <div id="preview" class="ulp-preview"></div>

    </div>



</div>



<script>

    var ulp_grid_entity_type = 'students';

    jQuery(document).ready(function(){

        ulpPreviewShortcode();

    });

</script>

