<?php wp_enqueue_script( 'ulp_printThis' );?>
<script>

		var printhisopt = {
					importCSS: true,
		      importStyle: true,
		      loadCSS: "<?php echo ULP_URL . 'assets/css/public.css';?>",
		      debug: false,
		      printContainer: true,
		      pageTitle: "",
		      removeInline: false,
		      printDelay: 333,
		      header: null,
		      formValues: false,
		};
</script>

<?php if (empty($data ['items'])):?>

    <div class="ulp-additional-message"><?php _e('You have not received any Certificate yet!', 'ulp');?></div>

<?php else :?>



<div class="ulp-certificate-list-wrapper">

<?php foreach ($data ['items'] as $object):?>

	<div class="ulp-certificate-item">

		<div class="ulp-certificate-item-top">

        	<span onclick="ulpOpenCertificate(<?php echo $object->id;?>);">

            	<i class="fa-ulp fa-certificate_grade-ulp" id="wishlist-icon"></i>

            </span>

        </div>

        <div class="ulp-certificate-item-content">

        	<?php echo ulp_print_date_like_wp($object->obtained_date);?>

            <span onclick="ulpOpenCertificate(<?php echo $object->id;?>);"><?php echo $object->certificate_title;?></span>

        </div>

        <div class="ulp-certificate-item-bottom">

        	<?php echo $object->course_name;?>

        </div>

    </div>

 <?php endforeach;?>

</div>

  <!--table>

      <tr>

          <td><?php _e('Certificate Title', 'ulp');?></td>

          <td><?php _e('Courses', 'ulp');?></td>

          <td><?php _e('date', 'ulp');?></td>

      <tr/>

      <?php foreach ($data ['items'] as $object):?>

          <tr>

              <td class="ulp-like-link-span ulp-pointer" onclick="ulpOpenCertificate(<?php echo $object->id;?>);"><?php echo $object->certificate_title;?></td>

              <td><?php echo $object->course_name;?></td>

              <td><?php echo ulp_print_date_like_wp($object->obtained_date);?></td>

          </tr>

      <?php endforeach;?>

  </table-->

<?php endif;?>
